Bug 1487588 (CVE-2017-0900) - CVE-2017-0900 rubygems: No size limit in summary length of gem spec
Summary: CVE-2017-0900 rubygems: No size limit in summary length of gem spec
Status: CLOSED ERRATA
Alias: CVE-2017-0900
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170901,reported=2...
Keywords: Security
Depends On: 1487591 1487592 1487593 1502047 1509450 1509451 1534437 1534438 1534937 1534938 1534940 1534941
Blocks: 1487526 1487605
TreeView+ depends on / blocked
 
Reported: 2017-09-01 10:54 UTC by Adam Mariš
Modified: 2019-06-08 22:17 UTC (History)
30 users (show)

(edit)
It was found that rubygems could use an excessive amount of CPU while parsing a sufficiently long gem summary. A specially crafted gem from a gem repository could freeze gem commands attempting to parse its summary.
Clone Of:
(edit)
Last Closed: 2017-12-20 09:32:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3485 normal SHIPPED_LIVE Moderate: rh-ruby24-ruby security, bug fix, and enhancement update 2017-12-19 13:37:01 UTC
Red Hat Product Errata RHSA-2018:0378 normal SHIPPED_LIVE Important: ruby security update 2018-03-01 01:06:17 UTC
Red Hat Product Errata RHSA-2018:0583 None None None 2018-03-26 09:44 UTC
Red Hat Product Errata RHSA-2018:0585 None None None 2018-03-26 10:22 UTC

Description Adam Mariš 2017-09-01 10:54:59 UTC
RubyGems version 2.6.12 and earlier is vulnerable to maliciously
crafted gem specifications to cause a denial of service attack against
RubyGems clients who have issued a `query` command.

Upstream patch:

https://github.com/rubygems/rubygems/commit/8a38a4fc24c6591e6c8f43d1fadab6efeb4d6251

Bug report:

https://hackerone.com/reports/243003

External References:

http://blog.rubygems.org/2017/08/27/2.6.13-released.html

Comment 1 Adam Mariš 2017-09-01 11:02:27 UTC
Created ruby193-rubygems tracking bugs for this issue:

Affects: openshift-1 [bug 1487592]


Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1487591]
Affects: openshift-1 [bug 1487593]

Comment 5 errata-xmlrpc 2017-12-19 08:37:55 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3485 https://access.redhat.com/errata/RHSA-2017:3485

Comment 6 Cedric Buissart 🐶 2017-12-20 09:32:24 UTC
Statement:

This issue affects the versions of ruby as shipped with Red Hat Enterprise Linux 6, and 7 and the versions of rh-ruby22-ruby and rh-ruby23-ruby as shipped with Red Hat Software Collections. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 8 errata-xmlrpc 2018-02-28 20:01:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0378 https://access.redhat.com/errata/RHSA-2018:0378

Comment 11 errata-xmlrpc 2018-03-26 09:43:56 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0583 https://access.redhat.com/errata/RHSA-2018:0583

Comment 12 errata-xmlrpc 2018-03-26 10:22:07 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0585 https://access.redhat.com/errata/RHSA-2018:0585


Note You need to log in before you can comment on or make changes to this bug.